'use strict';

module.exports = {
    toArray: arraylike => [...arraylike],

    flatten: function flatten (ar) {
        return ar.reduce((acc, item) => {
            if (Array.isArray(item)) {
                acc.push(...flatten(item));
            } else {
                acc.push(item);
            }

            return acc;
        }, []);
    }
};